Page MenuHomePhabricator

"Your password is not valid: Passwords must be at least 8 characters." after trying to log in with default password
Closed, ResolvedPublic

Description

I've provisioned a new mediawiki-vagrant, and after trying to log in with the default credentials Admin/vagrant, I get this error message:

Your password is not valid: Passwords must be at least 8 characters.
Please choose a new password now, or click "Skip" to change it later.

Workaround is to set the password to something like vagrant1.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2018, 5:19 PM
zeljkofilipin triaged this task as Normal priority.Sep 4 2018, 5:22 PM
zeljkofilipin updated the task description. (Show Details)

I guess this is due to the new PasswordPolicies config. The default config for sysops, according to https://www.mediawiki.org/wiki/Special:PasswordPolicies#sysop is a password no less than 8 bytes.

Sau226 added a subscriber: Sau226.Sep 14 2018, 2:18 PM

If this is on master version of Mediawiki maybe the new interface-admin group has stricter password policies.

In LocalSettings.php add

$wgPasswordPolicy['policies']['interface-admin']['MinimalPasswordLength'] = 7;

to override that requirement should it affect your testing

Change 461416 had a related patch set uploaded (by Sau226; owner: Sau226):
[mediawiki/vagrant@master] Add interface-admin exemption in password policies

https://gerrit.wikimedia.org/r/461416

Change 461416 merged by jenkins-bot:
[mediawiki/vagrant@master] Add interface-admin exemption in password policies

https://gerrit.wikimedia.org/r/461416

bd808 closed this task as Resolved.Oct 1 2018, 1:50 PM
bd808 assigned this task to Sau226.